Subject: Re: chroot() guestt accounts, Linux 2.0.28 and wuftpd-2.4.2-beta-11

From: Steve Lee <[email-masked]>
Date: Thu, 6 Feb 1997 22:49:36 GMT

> > : >Now, my question: Why does the old ftpd work and the new ftpd doesn't?
> > 
> > : Actually, you are using an old beta. The latest beta is 12. Beta 11 does
> > : not work on linux 2.X kernels. Beta-12 does.
> 
> > Ehm.. I was using beta 11 with Linux 2.0.0 through 2.0.28 before beta 12
> > came out. Maybe you mean some specific functionality?
> > Apart from this, I'm using the same stuff as Gregory and beta 12 (and 11)
> > works fine for me (but I don't use guestgroups so I can't comment on that
> > part).
> 
> beta 11 and beta 12 worked fine for me as well. However the guestgroup 
> portion of it has problems. The problems are NOT there with 2.4(1). In 
> fact, if I install the 2.4.2-academ-beta12(1) binaries and do not change 
> any config files then the guestgroup/chroot breaks, but ftp itself works.
> 
> Anyone have any advice? 
> 

Yes,  leave the chroot part but remove the home dir part of the
password entries for the accounts that stopped working.  IE:

stlee:x:1200:14:Steve Lee:/public/./pub/stlee:/bin/csh

becomes:

stlee:x:1200:14:Steve Lee:/public:/bin/csh

Let me know if it helped.

Thanks
Steve Lee
[email-masked]

---

From: Gregory Youngblood <[email-masked]>
Date: Thu, 6 Feb 1997 17:17:59 -0600 (CST)

> Let me know if it helped.

Hi.. Thanks.  However, it seems changing /public/./pub/stlee to /public 
would stop the chroot from working. But, I'll give  it a try.

Greg

---

From: Gregory Youngblood <[email-masked]>
Date: Thu, 6 Feb 1997 17:43:36 -0600 (CST)

> Let me know if it helped.

I tried it.  Again, 2.4 worked fine, 2.4.2-beta12 failed again. Log in to 
ftp with a guest account, do a dir, get the right dir, do a "cd /" and 
then a "dir" again. 2.4 gives the same directory as the first time, beta 
12 gives the actual "/" root directory.

greg